### Method

# Gegl MetadataStoreget_string

#### Declaration [src]

    const gchar*
    gegl_metadata_store_get_string (
      GeglMetadataStore* self,
      const gchar* name
    )

#### Description [src]

A slightly more efficient version of `gegl_metadata_store_get_value()` for string values avoiding a duplication. Otherwise it behaves the same gegl_metadata_store_get_value().

#### Parameters

`name`

  Type: `const gchar*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

String or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.